package com.iamberry.wechat.face.bindingapp;

import java.util.List;

import com.iamberry.wechat.core.entity.bindingApp.BindingMac;
import com.iamberry.wechat.core.entity.bindingApp.BindingMacInfo;

/***
 * @description 绑定对象sql映射
 * @author 欧阳明
 * @date 2016-06-12
 */
public interface BindingMacService {

	/*
	 * 通过id 获取绑定对象
	 */
	public BindingMac getOneById(int id);
	/**
	 * 插入对象
	 * @param bindingMac
	 * @return
	 */
	public int insert(BindingMac bindingMac);
	/**
	 * 更新对象
	 * @param bindingMac
	 * @return
	 */
	public int update(BindingMac bindingMac);
	
	/**
	 * 后台列表
	 * @param bindingMac
	 * @return
	 */
	public  List<BindingMacInfo> selectAll(BindingMacInfo bindingMacInfo);
	/**
	 * 查询返回个数
	 * @param bindingMac
	 * @return
	 */
	public  int getAllCount(BindingMacInfo bindingMacInfo);
	/**
	 * 查询机器码是否绑定了
	 * @param macId
	 * @return
	 */
	public  int testExist(String macId);
	
	/**
	 * 根据 id 删除单条记录
	 * @param id
	 * @return
	 */
	public int deleteBindingById(Integer id);
}
